libmbim (1.32.0-1ubuntu1) questing; urgency=medium

  * Add Intel mbim service to send AT command (LP: #2121842)

 -- Dirk Su <dirk.su@canonical.com>  Tue, 02 Sep 2025 14:09:18 +0800

libmbim (1.32.0-1) unstable; urgency=medium

  * New upstream version. This is the release for the RC currently in Trixie.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Apr 2025 23:27:39 +0200

libmbim (1.31.95-2) unstable; urgency=medium

  * Upload release candidate to unstable
  * Add superficial autopkg test

 -- Guido Günther <agx@sigxcpu.org>  Mon, 10 Mar 2025 12:50:25 +0100

libmbim (1.31.95-1) experimental; urgency=medium

  * New upstream version 1.31.95

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Mar 2025 22:05:19 +0100

libmbim (1.31.6-1) experimental; urgency=medium

  * Upload to experimental
  * gbp.conf: Use branches that don't conflict with released versions
  * New upstream version 1.31.6
  * Update symbols file
  * d/control: Use pkgconf

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Feb 2025 14:54:46 +0100

libmbim (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * d/clean: clean up python compiled bytecode files (Closes: #1046871)
  * libmbim-glib4: update symbols file for new upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 20 Oct 2023 12:49:46 +0200

libmbim (1.28.4-2) unstable; urgency=medium

  * Release to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 16:35:22 +0200

libmbim (1.28.4-1) experimental; urgency=medium

  * New upstream version 1.28.4

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 23 Apr 2023 15:46:04 +0200

libmbim (1.28.2-1) unstable; urgency=medium

  * d/watch: only watch for stable releases
    `libmbim` has a x.y.z version numbering scheme where y is even for
    stable releases and odd for development ones. Stable release candidates
    have x.y-rcz version numbers with y being an even number. This change
    ensures we only watch for stable releases, including RCs.
  * New upstream version 1.28.2

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 19 Dec 2022 11:48:42 +0100

libmbim (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * d/watch: look for git tags instead of source tarballs.
    Upstream stopped publishing source tarballs and now requests that we
    use (signed) git tags for new versions. Take this opportunity to update
    the upstream signing key.
  * d/rules: adapt to upstream build system change.
    Upstream switched from `autotools` to `meson`. As a consequence,
    configure options are handled differently, so let's adapt to those
    changes.
    Note: introspection is now enabled by default, so we don't need to
    explicitly enable it anymore.
  * d/control: update build dependencies
    `meson` is now the only build system supported for this package, which
    now also depends on `bash-completion` at build time. While at it,
    update my email and bump Standards-Version as no other change is
    required.
  * libmbim-glib4: update symbols file for new upstream release
  * debian: update lintian overrides

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 28 Oct 2022 14:25:12 +0200

libmbim (1.26.4-1) unstable; urgency=medium

  * debian: lintian-driven fixes and small improvements.
    This commit includes minor changes spotted by `lintian-brush`:
    - `d/copyright`: use `https` for the file format spec URL
    - `d/upstream/metadata`: append `.git` to repo URL
    - `d/rules`: drop symbols migration (1.12 is long gone)
  * New upstream version 1.26.4

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 19 May 2022 19:21:56 +0200

libmbim (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2
  * d/control: avoid duplicate build dependencies and sort list
    `gtk-doc-tools` was added to `Build-Depends` in order to fix build with
    latest autotools, but it was pulled in unconditionally and left in
    `Build-Depends-Indep`. This commit makes sure we avoid duplicates and
    don't need `gtk-doc-tools` when building with the `nodoc` profile.
    We also took the opportunity to sort build dependencies by alphabetical
    order for better readability.
  * d/libmbim-glib4: update symbols file for new version
  * debian: update lintian-overrides.
    Due to a change in how `lintian` reports issues, the `libmbim-glib4`
    overrides were ignored. This commit updates the corresponding file in
    order to fix that and adds a new override for `libmbim-glib-doc`:
    installing documentation to `/usr/share/gtk-doc` instead of
    `/usr/share/doc` is the standard practice for glib/gtk-based software.
  * d/rules: drop --fail-missing option for dh_missing.
    This is now the default with dh-compat level 13.

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Tue, 07 Dec 2021 13:47:25 +0100

libmbim (1.26.0-2) unstable; urgency=medium

  * d/control: build-depend on gtk-doc-tools.

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Mon, 06 Dec 2021 17:24:36 +0100

libmbim (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
  * d/control: change maintainer to DebianOnMobile team.
  * d/control: bump debhelper-compat version and Standards-Version.
  * d/copyright: add Upstream-Contact and update maintainer email
  * d/copyright: fix libmbim-glib path
  * debian: add salsa CI pipeline
  * d/source: add upstream metadata
  * d/control: update build dependencies.
  * d/libmbim-glib4: update symbols file for new version
  * d/watch: bump watch file version, no change required
  * d/rules: add hardening build options
  * d/changelog: prepare new release
  * d/control: add more Uploaders.

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Thu, 04 Nov 2021 17:16:51 +0100

libmbim (1.24.8-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jun 2021 12:18:09 +0200

libmbim (1.24.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (bug fixes).
  * Add upstream signing key.

 -- Martin <debacle@debian.org>  Fri, 22 Jan 2021 16:38:20 +0000

libmbim (1.24.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (bug fixes).
  * debian/libmbim-glib4.symbols: Updated symbols for new release.

 -- Martin <debacle@debian.org>  Sat, 03 Oct 2020 22:50:39 +0000

libmbim (1.24.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (bug fixes).
  * Fix reproducibility by removing superfluous Makefiles (Closes: #963603).

 -- Martin <debacle@debian.org>  Wed, 15 Jul 2020 07:24:31 +0000

libmbim (1.24.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Martin <debacle@debian.org>  Sun, 21 Jun 2020 10:38:28 +0000

libmbim (1.23.900-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add package for GObject introspection (new upstream feature).

 -- Martin <debacle@debian.org>  Mon, 08 Jun 2020 17:33:59 +0000

libmbim (1.22.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper to 12, no further changes
  * Bump Standards-Version to 4.5.0 (no further changes)
  * Move mbim-proxy to /usr/libexec (Closes: #954145)
  * Do not build-depend on libgudev-dev package on non-linux architectures
  * Add help2man to the build-dependencies to ensure that the manpages are
    properly built (Closes: #952124)
  * Move gtk-doc-tools and libglib2.0-doc to the B-D-I instead of the
    build-dependencies, mark the with <!nodoc>
  * Add Build-Depends-Package to the symbols file to please lintian
  * debian/control: Remove a duplication section, to please lintian
  * Add a symlink for the documentation in /usr/share/doc and adjust the
    docbase file. This fixes the doc-base-file-references-wrong-path lintian
    warning

 -- Laurent Bigonville <bigon@debian.org>  Thu, 30 Apr 2020 12:48:11 +0200

libmbim (1.22.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Vcs-* to salsa.
  * Use Rules-Requires-Root: no

 -- Martin <debacle@debian.org>  Thu, 30 Apr 2020 00:18:09 +0000

libmbim (1.22.0-2) unstable; urgency=medium

  * Really add the build-depends on autoconf-archive

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 17:27:10 +0100

libmbim (1.22.0-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in:
    - Build-Depends on autoconf-archive
  * debian/patches/git_deprecation_warnings.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 16:30:10 +0100

libmbim (1.18.2-0.2) unstable; urgency=medium

  * debian/patches/git_deprecation_warnings.patch:
    - disable deprecation warnings, fix the build with the new glib version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Aug 2019 10:31:37 +0100

libmbim (1.18.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 19 Aug 2019 11:25:54 +0200

libmbim (1.18.0-1) unstable; urgency=medium

  * New upstream release
    - Needed by ModemManager 1.10.
  * debian/libmbim-glib4.symbols: Updated symbols for new release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 05 Feb 2019 23:12:29 +0100

libmbim (1.16.0-1) unstable; urgency=medium

  * New upstream release 1.16.0 (Closes: #887974)
  * Adopting the package. (Closes: #888680)
  * debian/control: bump libglib-dev Depends to (>= 2.36) as required by the
    new release.
  * debian/libmbim-glib4.symbols: update symbols for new release.
  * debian/rules: add DPKG_GENSYMBOLS_CHECK_LEVEL=4; it's more verbose with
    added or changed symbols then.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 01 Mar 2018 09:24:23 -0500

libmbim (1.14.2-2.1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Skip documentation in arch-only build. (Closes: #872813)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 21 Nov 2017 01:15:38 +0100

libmbim (1.14.2-2) unstable; urgency=medium

  * Remove myself as Maintainer and reinstate Thomas Bechtold.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2017 00:47:49 +0200

libmbim (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Update Vcs-* following the latest recommendation
  * Bump Standards-Version to 4.1.0
  * Switch to new dh_missing helper and use --fail-missing

 -- Michael Biebl <biebl@debian.org>  Thu, 31 Aug 2017 09:15:57 +0200

libmbim (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly build with udev support.
  * Update symbols file.
  * Bump Standards-Version to 3.9.8.
  * Install bash-completion file for mbimcli.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 Jul 2016 23:34:33 +0200

libmbim (1.12.4-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * Set biebl@debian.org as new Maintainer and move myself to
    Uploaders.

  [ Michael Biebl ]
  * New upstream release.
  * Use https:// for upstream homepage.
  * Drop libmbim-glib4-dbg now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libmbim-glib4-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.7.
  * Drop debian/mbimcli.1 since we use the upstream man page.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Mar 2016 05:07:58 +0100

libmbim (1.12.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Add myself to Uploaders.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 01:18:23 +0200

libmbim (1.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Marius B. Kotsbak ]
  * Imported Upstream version 1.12.2
  * Update debian/libmbim-glib4.symbols for new upstream release.
  * Update Debian standards version to the latest.
  * Add experimental branch config in gbp.conf.

  [ Michael Biebl ]
  * Update Vcs-* to use canonical URLs, use cgit and https for Vcs-Browser.

 -- Michael Biebl <biebl@debian.org>  Sun, 08 Feb 2015 23:53:38 +0100

libmbim (1.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Boris Egorov to fix bashisms (Closes: #772325)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 19 Dec 2014 20:25:16 +0000

libmbim (1.10.0-2) unstable; urgency=medium

  * Team upload.
  * Use a strictly versioned dependency between libmbim-proxy and
    libmbim-glib4, so the two packages don't get out of sync.
  * Make any package linking against libmbim-glib4 get an explicit dependency
    on libmbim-proxy. The mbim-proxy binary is used internally by
    libmbim-glib4 and the package split is an implementation detail to
    properly support multi-arch. Convince lintian that this is intentional.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Sep 2014 23:03:20 +0200

libmbim (1.10.0-1) unstable; urgency=low

  * Team upload.

  [ Marius B. Kotsbak ]
  * New upstream release.
  * Rename libmbim-glib0 → libmbim-glib4 for the soname bump.
  * Add new package libmbim-proxy holding mbim-proxy binary.
  * Add debug info package libmbim-glib4-dbg.

  [ Michael Biebl ]
  * Use dh_install --list-missing to show uninstalled files.
  * Install man pages via dh_install.
  * Drop obsolete --with-tests configure option.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Sep 2014 03:13:18 +0200

libmbim (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libmbim-glib0.symbols.

 -- Thomas Bechtold <toabctl@debian.org>  Tue, 25 Mar 2014 07:51:28 +0100

libmbim (1.6.0-2) unstable; urgency=medium

  * debian/copyright: Mention GFDL-1.3+ license which is used for
    documentation (Closes: #732527).
  * debian/control: Bump Standards-Version to 3.9.5. No further changes
    needed.

 -- Thomas Bechtold <toabctl@debian.org>  Sun, 22 Dec 2013 13:21:38 +0100

libmbim (1.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #731908)
  * Fix Multi-Arch: same problem with separated doc package (Closes: #728195)
  * debian/patches/0001-build-filter-out-non-public-symbols.patch: Dropped,
    applied upstream.
  * debian/libmbim-utils.install: Provide mbim-network binary.
  * debian/libmbim-utils.manpages: Install manpages provided by upstream.
  * debian/rules: manpage creation no longer needed. manpages are provided by
    upstream.
  * debian/control: Use Debian email address in maintainer field.

 -- Thomas Bechtold <toabctl@debian.org>  Mon, 16 Dec 2013 19:03:17 +0100

libmbim (1.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #716765)

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Wed, 17 Jul 2013 11:36:33 +0200
